#plan svg {
  width: 100%;
}

.house1,
.house2,
.house3,
.house4,
.house5 {
  cursor: pointer;
}

.house1 path,
.house2 path,
.house3 path,
.house4 path:first-child,
.house5 path:first-child {
  fill: var(--color-coral);
  fill-opacity: 0.35;
  transition: fill-opacity 0.2s linear;
}

/* .house1:hover path,
.house2:hover path,
.house3:hover path,
.house4:hover path:first-child,
.house5:hover path:first-child, */
.house1.hover path,
.house2.hover path,
.house3.hover path,
.house4.hover path:first-child,
.house5.hover path:first-child {
  fill-opacity: 0.8;
}

.plan-wrapper {
  position: relative;
  margin-bottom: 90px;
}

.plan-details {
  position: absolute;
  padding: 17px 21px;
  background-color: var(--color-white);
  opacity: 0;
  transition: opacity 0.2s linear;
  z-index: -1;
}

.plan-wrapper:has(.house4:hover) .plan-details[data-building="2.1"],
.plan-details[data-building="2.1"]:hover,
.plan-wrapper:has(.house5:hover) .plan-details[data-building="2.2"],
.plan-details[data-building="2.2"]:hover,
.plan-wrapper:has(.house2:hover) .plan-details[data-building="1.2"],
.plan-details[data-building="1.2"]:hover,
.plan-wrapper:has(.house1:hover) .plan-details[data-building="1.1"],
.plan-details[data-building="1.1"]:hover,
.plan-wrapper:has(.house3:hover) .plan-details[data-building="1.3"],
.plan-details[data-building="1.3"]:hover {
  opacity: 1;
  z-index: 1;
}

.plan-details[data-building="1.1"] {
  bottom: 26%;
  left: 27%;
}

.plan-details[data-building="1.2"] {
  left: 45%;
  bottom: 32%;
}

.plan-details[data-building="1.3"] {
  left: 54%;
  bottom: 29%;
}

.plan-details[data-building="2.1"] {
  /* bottom: 70%;
  left: 18%; */
  bottom: 53%;
  left: 22%;
}

.plan-details[data-building="2.2"] {
  bottom: 50%;
  left: 41%;
}

.plan-details__title {
  font-weight: 700;
  margin-bottom: 18px;
}

.plan-details__list {
  display: grid;
  grid-template-columns: auto auto auto;
  gap: 14px;
}

.plan-details__type {
  flex: 0 0 28px;
  font-size: 20px;
  color: var(--color-coral);
}

.plan-details__details {
  flex: 1 0 auto;
}

.plan-details__link {
  flex-grow: 0;
  flex-shrink: 0;
  display: inline-flex;
  align-items: center;
  justify-content: center;
  width: 24px;
  height: 24px;
  text-decoration: none;
  color: var(--color-black);
  background-color: transparent;
  border: 1px solid var(--color-black);
  border-radius: 50%;
  transition:
    color 0.15s linear,
    background-color 0.15s linear,
    border-color 0.15s linear;
}

.plan-details__link svg {
  width: 18px;
}

.plan-details__link:hover {
  color: var(--color-white);
  background-color: var(--color-coral);
  border-color: var(--color-coral);
}

.plan__lg {
  /*  display: none;*/
}
.map_absolute_wrapper {
  position: absolute;
  height: 100%;
  width: 100%;
  background: #0000008f;
  z-index: 1;
  color: #fff;
  display: flex;
  align-items: center;
  justify-content: center;
  text-align: center;
}
.map_absolute_wrapper svg {
  margin: auto;
}

@media (min-width: 576px) {
  .plan-details[data-building="2"] {
    left: 41%;
  }

  .plan-details[data-building="3"] {
    left: 45%;
  }
}

@media (min-width: 768px) {
  .plan-details[data-building="3"] {
    left: 52%;
  }
}

@media (min-width: 960px) {
  .map_absolute_wrapper {
    display: none;
  }
}

@media (min-width: 992px) {
  .plan__sm {
    display: none;
  }
  .plan__lg {
    display: block;
  }
}

@media (max-width: 960px) {
  #plan svg {
    width: auto;
    height: 100%;
    max-width: unset;
  }
  .plan__lg {
    height: 500px;
    overflow: scroll;
  }
}

@media (prefers-reduced-motion) {
  .house1 path,
  .house2 path,
  .house3 path,
  .house4 path,
  .house5 path,
  .plan-details,
  .plan-details__link {
    transition: none;
  }
}

/* #bf9086 */
@media (max-width: 600px) {
  .plan-wrapper {
    width: 908px;
    height: 500px;
  }
  .page__content {
  }
  .plan-details[data-building="1.1"] {
    bottom: 36% !important;
    left: 39% !important;
  }
  .plan-details[data-building="1.2"] {
    left: 47% !important;
    bottom: 39% !important;
  }
  .plan-details[data-building="1.3"] {
    left: 53% !important;
    bottom: 38% !important;
  }
  .plan-details[data-building="2.1"] {
    bottom: 56% !important;
    left: 33% !important;
  }
  .plan-details[data-building="2.2"] {
    bottom: 54% !important;
    left: 41% !important;
  }
  .plan-details__details {
    line-height: 30px !important;
  }
  .plan-details__list {
    display: grid;
    grid-template-columns: auto auto auto;
    gap: 6px;
  }
  .plan-details {
    position: absolute;
    padding: 10px 10px !important;
    background-color: var(--color-white);
    opacity: 0;
    transition: opacity 0.2s linear;
    z-index: -1;
    font-size: 12px;
  }
}
